<?
require("../clases/autor.class.php");

require "PHPMailer.php";
require "SMTP.php";
require "Exception.php";
require "OAuth.php";

define("DIR_UPLOAD","/home/cavunuco/public_html/cav/fotos");

echo "<link href='../css/css.css' rel='stylesheet' type='text/css'>";
echo "<link href='../css/bootstrap.min.css' rel='stylesheet'>";

$obj = new autor();
$t = $_REQUEST["text"];
if($t=="R"){
		
		$n = $_REQUEST["nombre"];
		$a = $_REQUEST["apellido"];
		$e = $_REQUEST["email"];
		$t = $_REQUEST["telefono"];
		$i = "-";//$_REQUEST["direccion"];
		$d = "1234";
		/////////////////////para subir el archivo//////////////////////////////
			/*$vtempfile	= $_FILES['file']['tmp_name'];//ubicacion temporal del archivo subido
			$vnomfile	= trim($_FILES['file']['name']);//nombre del archivo(segun tipo)
			$vnomfile	= substr($vnomfile,-30);//sustraigo los 20 ulimos caracteres
			$vtamaño	= $_FILES['foto']['size'];
			$vtipo		= $_FILES['file']['type'];
			$vnomfile	= ereg_replace(" ","",$vnomfile);//elimino los espacios en blanco del nombre del archivo	
		
			if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado  	
			{
			   if (!((strpos($vtipo, "gif") || strpos($vtipo, "png") || strpos($vtipo, "jpeg")) && ($vtamaño < 1000000))) 
				{ 
			
					echo "<b>Error: La foto no cumple con las caracterizticas requeridas<b>"; 		
					exit();			
				
				}else{	
						if(is_uploaded_file($vtempfile))
							{ if(!move_uploaded_file($vtempfile,DIR_UPLOAD."/".$vnomfile))
								 {
									echo "no se puede subir";
									exit;
								}
							}
							else
								{
								echo $_FILES['file']['name'];
								exit;
								}
					}	
			//echo "ha subido";			
			}else{ */
			      $vnomfile = 'student.png'; 
				// }				
		/////////////////////////////////////////////////////////////////
		
			
		$doc = $obj->Correlativo();
		if($obj->Crear($n,$a,$e,$t,$i,md5($d),$vnomfile,$doc)){
		/*////////////////////////////////////////////////////////////////
			$mail = new PHPMailer\PHPMailer\PHPMailer();		
			$mail->isSMTP();		
			$mail->SMTPDebug=2;
			$mail->Host = 'smtp.gmail.com';
			$mail->Port = 587; 
			$mail->SMTPSecure = 'tls';   
			$mail->SMTPAuth = true;
			$mail->SMTPOptions = array(
										  'ssl' => array(
											  'verify_peer' => false,
											  'verify_peer_name' => false,
											  'allow_self_signed' => true
										  )
									  );
			$mail->Username = "comunidad.academica.virtual@gmail.com";
			$mail->Password = 'cav2020*+';
			$mail->setFrom("comunidad.academica.virtual@gmail.com", "CAV");
			$mail->addAddress($e,"Saludos de CAV!!");  
			$mail->Subject = "Datos de Cuenta CAV";
			$mail->Body = "Tus datos de tu cuenta son: Usuario: ".$e." y Password: ".$d." <a href='http://cavunu.com/cav'>IR A CAV</a>";
			$mail->isHTML(true);
			echo "<div class='container'>";
			if(!$mail->send()) {
					echo '<p style="color:red">No se pudo enviar el mensaje a su correo..';
					echo 'Error de correo: ' . $mail->ErrorInfo."</p>";
				} else {
					echo '<p style="color:green">Se ha enviado un mensaje a tu correo con los datos de tu cuenta, para que lo tengas guardadito</p>';
				}
		///////////////////////////////////////////////////////////*/
					echo "<script languaje=javascript>\n"; 
	 				echo "location.href ='../mandocente.php';";					
	 				echo "</script>"; 
							
		}else{
		       echo "no pasa nada";
		     }
}

if($t=="RE")
	 {
	   $iddoc = $_REQUEST['iddoc'];
	   $clave = "1234";
	   
	   if($obj->ActualizarClave($iddoc,md5($clave)))
	   //if($Objusu->ActualizarClave($idu,md5($clave)))
	   {
	      echo "<script languaje=javascript>\n"; 
	 	  echo "alert('CLAVE ACTUALIZADA');location.href ='../mandocente.php';";					
	 	  echo "</script>";
	   }
	 }
	 
if($t=="AC")
 { 
	   $iddoc = $_REQUEST['iddoc'];
	   
	   $clavea = $_REQUEST['claveactual'];
	   $claven = $_REQUEST['clavenueva'];
		if($obj->validaClave($iddoc,md5($clavea)))
		{   $e=$obj->getEmail();
		  /*////////////////////////////////////////////////////////////////
			$mail = new PHPMailer\PHPMailer\PHPMailer();		
			$mail->isSMTP();		
			$mail->SMTPDebug=2;
			$mail->Host = 'smtp.gmail.com';
			$mail->Port = 587; 
			$mail->SMTPSecure = 'tls';   
			$mail->SMTPAuth = true;
			$mail->SMTPOptions = array(
										  'ssl' => array(
											  'verify_peer' => false,
											  'verify_peer_name' => false,
											  'allow_self_signed' => true
										  )
									  );
			$mail->Username = "comunidad.academica.virtual@gmail.com";
			$mail->Password = 'cav2020*+';
			$mail->setFrom("comunidad.academica.virtual@gmail.com", "CAV");
			$mail->addAddress($e,"Saludos de CAV!!");  
			$mail->Subject = "Datos de Cuenta CAV";
			$mail->Body = "Tus datos de tu cuenta son: Usuario: ".$e." y Password: ".$claven." <a href='http://cavunu.com/cav'>IR A CAV</a>";
			$mail->isHTML(true);
			echo "<div class='container'>";
			if(!$mail->send()) {
					echo '<p style="color:red">No se pudo enviar el mensaje a su correo..';
					echo 'Error de correo: ' . $mail->ErrorInfo."</p>";
				} else {
					echo '<p style="color:green">Se ha enviado un mensaje a tu correo con los datos de tu cuenta, para que lo tengas guardadito</p>';
				}
		///////////////////////////////////////////////////////////*/
		   if($obj->ActualizarClave($iddoc,md5($claven)))
		   //if($Objusu->ActualizarClave($idu,md5($clave)))
		   {
			  echo "<script languaje=javascript>\n"; 
			  echo "alert('PASSWORD ACTUALIZADO, VUELVA A INICIAR SESION');location.href ='../session_invalida.php';";					
			  echo "</script>";
		   }
		 }else{
		 		 echo "<script languaje=javascript>\n"; 
			  	echo "alert('AL PARECER NO HA INGRESADO CORRECTAMENTE EL PASSWORD ACTUAL');location.href ='../docente.php';";					
			  	echo "</script>";
		      }
	 }


if($t=="e"){

 $cod = $_REQUEST["id"];
   if($obj->Eliminar($cod)){
   
       echo "<script languaje=javascript>\n"; 
	 	echo "location.href ='../mandocente.php';";					
	 	echo "</script>";		
   }
   else
   {
    echo "no pasa nada";
	}

}

if($t=="M")
{
		$cod = $_REQUEST["iddoc"];
		$n = $_REQUEST["nombre"];
		$a = $_REQUEST["apellido"];
		$e = $_REQUEST["email"];
		$t = $_REQUEST["telefono"];
		$i = "-";//$_REQUEST["direccion"];
		//$d = $_REQUEST["dni"];
		/////////////////////para subir el archivo//////////////////////////////
			$vtempfile	= $_FILES['file']['tmp_name'];//ubicacion temporal del archivo subido
			 $vnomfile	= trim($_FILES['file']['name']);//nombre del archivo(segun tipo)
			$vnomfile	= substr($vnomfile,-30);//sustraigo los 20 ulimos caracteres
			$vtamaño	= $_FILES['foto']['size'];
			$vtipo		= $_FILES['file']['type'];
		//	$vnomfile	= ereg_replace(" ","",$vnomfile);//elimino los espacios en blanco del nombre del archivo			
			if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado  	
			{
			  if (!((strpos($vtipo, "gif") || strpos($vtipo, "png") || strpos($vtipo, "jpeg")) && ($vtamaño < 1000000))) 
				{ 			
					echo "<b>Error: La foto no cumple con las caracterizticas requeridas<b>"; 		
					exit();				
				}else{	
						if(is_uploaded_file($vtempfile))
							{ if(!move_uploaded_file($vtempfile,DIR_UPLOAD."/".$vnomfile))
								 {
									echo "no se puede subir";
									exit;
								}
							}
							else
								{
								echo $_FILES['file']['name'];
								exit;
								}	
					}		
			}else{ $vnomfile = 'student.png'; }	
		/////////////////////////////////////////////////////////////////	
	 if($vnomfile!="")
	 {	 			
		if($obj->Actualizarconfoto($cod,$n,$a,$e,$t,$i,$vnomfile)){		
					echo "<script languaje=javascript>\n"; 
	 				echo "location.href ='../mandocente.php';";					
	 				echo "</script>"; 							
		  }else{
		        echo "no se actualizo";
		       }
	 }		 
}
///////////////////////////////////
	if($t=="A"){
	
		$cod = $_REQUEST["id"];
		$n = $_REQUEST["nombre"];
		$a = $_REQUEST["apellido"];
		$e = $_REQUEST["email"];
		$t = $_REQUEST["telefono"];
		$i = "-";//direccion
		$d = $_REQUEST["dn"];
		/////////////////////para subir el archivo//////////////////////////////
			$vtempfile	= $_FILES['file']['tmp_name'];//ubicacion temporal del archivo subido
		    $vnomfile	= trim($_FILES['file']['name']);//nombre del archivo(segun tipo)
			$vnomfile	= substr($vnomfile,-30);//sustraigo los 20 ulimos caracteres
			$vtamaño	= $_FILES['foto']['size'];
			$vtipo		= $_FILES['file']['type'];
		//	$vnomfile	= ereg_replace(" ","",$vnomfile);//elimino los espacios en blanco del nombre del archivo	
	
			if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado  	
			{
			   if (!((strpos($vtipo, "gif") || strpos($vtipo, "png") || strpos($vtipo, "jpeg")) && ($vtamaño < 1000000))) 
				{ 
			
					echo "<b>Error: La foto no cumple con las caracterizticas requeridas<b>"; 		
					exit();			
				
				}else{		
						if(is_uploaded_file($vtempfile))
							{ if(!move_uploaded_file($vtempfile,DIR_UPLOAD."/".$vnomfile))
								 {
									echo "no se puede subir";
									exit;
								}
							}
							else
								{
								echo $_FILES['file']['name'];
								exit;
								}	
					}
			//echo "ha subido";			
			}else{ $vnomfile ='student.png'; }	
		/////////////////////////////////////////////////////////////////	
	if($vnomfile!=""){	 			
		if($obj->Actualizarconfoto($cod,$n,$a,$e,$t,$i,$vnomfile)){		
				   echo "<script languaje=javascript>\n";
				   echo "alert('LOS DATOS SE HAN ACTUALIZADO CORRECTAMENTE!!!');location.href ='../docente.php';";
				   echo "</script>";						
		 }else{
		       echo "no se actualizo";
		     }
	}/*else{
			if($obj->Actualizar($cod,$n,$a,$t,$i))
			{
				   echo "<script languaje=javascript>\n";
				   echo "alert('LOS DATOS SE HAN ACTUALIZADO CORRECTAMENTE!!!');location.href ='../docente.php';";
				   echo "</script>";
							
		     }else{
		       		echo "no se actualizo";
		     	  }
		 }*/
}
		 
?>
